# $Id: perl-Test-Dependencies.spec 6012 2007-11-23 11:59:56Z dag $
# Authority: dag
# Upstream: Zev Benjamin <zev@cpan.com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Test-Dependencies

Summary: Ensure that your Makefile.PL specifies all module dependencies
Name: perl-Test-Dependencies
Version: 0.11
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Test-Dependencies/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Test/Test-Dependencies-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(B::PerlReq)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(PerlReq::Utils)
BuildRequires: perl(Pod::Strip)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::Builder::Tester) >= 0.64
BuildRequires: perl(YAML)

%description
Ensure that your Makefile.PL specifies all module dependencies.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/Test::Dependencies.3pm*
%doc %{_mandir}/man3/Test::Dependencies::*.3pm*
%dir %{perl_vendorlib}/Test/
%{perl_vendorlib}/Test/Dependencies/
%{perl_vendorlib}/Test/Dependencies.pm

%changelog
* Fri Jan 04 2008 Dag Wieers <dag@wieers.com> - 0.11-1 - 6012+/dag
- Updated to release 0.11.

* Sun Nov 18 2007 Dag Wieers <dag@wieers.com> - 0.08-1
- Initial package. (using DAR)
